# Uses of Interface
org.eclipse.ui.ISourceProviderListener

Packages that use ISourceProviderListener
Package
Description
org.eclipse.ui
Application programming interfaces for interaction with and extension of the Eclipse Platform User Interface.

## Uses of ISourceProviderListener in org.eclipse.ui

Methods in org.eclipse.ui with parameters of type ISourceProviderListener
Modifier and Type
Method
Description
`final void`
AbstractSourceProvider.`addSourceProviderListener(ISourceProviderListener listener)`
`void`
ISourceProvider.`addSourceProviderListener(ISourceProviderListener listener)`
Adds a listener to this source provider.
`final void`
AbstractSourceProvider.`removeSourceProviderListener(ISourceProviderListener listener)`
`void`
ISourceProvider.`removeSourceProviderListener(ISourceProviderListener listener)`
Removes a listener from this source provider.